img {
  max-width: 100%;
  height: auto;
}

a {
  text-decoration: none;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

.page {
  display: flex;
  justify-content: center;
  min-height: 100%;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.5em;
}

.page__body {
  display: flex;
  min-height: 100%;
  min-width: 320px;
  color: black;
  background-image: linear-gradient(135deg, #11feb8, #3e87f6);
  background-repeat: no-repeat;
  background-size: cover;
  padding: 10px;
  margin: 0;
}

.container {
  max-width: 480px;
  min-width: 300px;
  background-color: #fff;
  padding: 30px 20px;
  border-radius: 20px;
  margin: auto;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  border: 0;
  clip: rect(0 0 0 0);
}

/* HEADER */

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  margin-bottom: 30px;

  /*
  border-bottom: 1px solid #e6e6e6;
  padding-bottom: 20px;
  margin-bottom: 20px;
  */
}

.logo {
  font-family: 'Montserrat', sans-serif;
  font-size: 18px;
  line-height: 1em;
  font-weight: 700;
  color: #202020;
  text-transform: uppercase;
  margin: 0 auto;
}

.logo__picture {
  display: block;
  max-width: 220px;
}

/* SOCIALS */

.socials {
  display: none; /* временно */
  list-style: none;
  gap: 20px;
  padding: 0;
  margin: 0;
}

.socials__link {
  display: block;
  color: #202020;
  transition: color 200ms ease-out;
}

.socials__link:hover {
  color: #3e87f6;
}

.socials__icon {
  display: block;
  min-width: 20px;
  height: 20px;
}

/* BUTTONS */

.buttons {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  list-style: none;
  gap: 25px;
  padding: 0;
  margin: 0;
}

.buttons__desc {
  text-align: center;
  margin-top: 0;
  margin-bottom: 10px;
}

.button {
  display: flex;
  align-items: center;
  font-family: 'Montserrat', Helvetica, sans-serif;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.25em;
  color: #fff;
  background-color: #3e87f6;
  border-radius: 10px;
  gap: 12px;
  padding: 14px;
  padding-left: 10px;
  overflow: hidden;
  transition: transform 200ms ease-out;
  backface-visibility: hidden;
  transform: translateZ(0);
  background-image: url('../img/button-bg.png');
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: cover;
  cursor: pointer;
}

.button::before {
  content: "";
  min-width: 50px;
  height: 30px;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: contain;
  inset: 0 auto auto -5px;
  z-index: -1;
}

.button:hover {
  transform: scale(1.04);
}

.button--wb {
  background-image: linear-gradient(135deg,#cb11ab 0,#481173 100%);
}

.button--wb::before {
  background-image: url("../img/wb.svg");
}

.button--ozon {
  background-image: linear-gradient(135deg,#005bff 0, #005bff 30%, #f91155 100%);
}

.button--ozon::before {
  background-image: url("../img/ozon.svg");
}

.button--secrets::before {
  background-image: url("../img/attention.svg");
}

.button--guide::before {
  background-image: url("../img/document.svg");
}

.button--sublist {
  position: relative;
  justify-content: center;
  padding: 14px;
  color: black;
}

.button--sublist::before {
  position: absolute;
  inset: 2px;
  height: auto;
  background-color: white;
  border-radius: 8px;
}

/* SUBLIST */

.submenu {
  overflow: hidden;
}

.submenu__list {
  display: flex;
  flex-direction: column;
  row-gap: 12px;
  max-height: 0;
  list-style: none;
  padding: 0;
  margin: 0 10px;
  transition:
    max-height 500ms ease-in-out,
    margin 500ms ease-in-out;
}

.submenu__trigger:checked ~ .submenu__list {
  max-height: 200px;
  margin-top: 10px;
  padding-bottom: 2px;
}

/* FOOTER */

.copywrite {
  font-size: 12px;
  text-align: center;
  margin: 0;
}

/* PAGES */

.back-link {
  display: flex;
  column-gap: 5px;
  font-family: 'Montserrat', Helvetica, sans-serif;
  font-size: 14px;
  font-weight: 700;
  line-height: 150%;
  background-image: url('../img/button-bg.png');
  background-position: 50% 100%;
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  transition: background 200ms ease-in-out;
}

.back-link::before {
  content: "<";
  min-width: 1em;
  height: 1em;
  transform: translateX(5px);
  transition: transform 200ms ease-in-out;
}

.back-link:hover {
  background-position: 50% 50%;
}

.back-link:hover::before {
  transform: translateX(0px);
}

/* PAGES – RICH TEXT  */

.container--rich-text {
  max-width: 960px;
}

.container--rich-text h1 {
  font-family: 'Montserrat', Helvetica, sans-serif;
  font-size: 20px;
  line-height: 120%;
  text-align: center;
}

.container--rich-text h2 {
  text-align: center;
  margin-top: 30px;
  margin-bottom: 20px;
  font-family: 'Montserrat', Helvetica, sans-serif;
  font-size: 16px;
  line-height: 120%;
}

.container--rich-text h3 {
  font-family: 'Montserrat', Helvetica, sans-serif;
  font-size: 14px;
  line-height: 120%;
}

.container--rich-text ol,
.container--rich-text ul {
  padding-left: 20px
}

.container--rich-text li {
  margin-bottom: 10px;
}

.container--rich-text .button {
  justify-content: center;
  max-width: 320px;
  margin-top: 30px;
  margin-left: auto;
  margin-right: auto;
}

.container--rich-text .button::before {
  display: none;
}
